## jove 4.16.0.56

=== Makefile ===
##########################################################################
# This program is Copyright (C) 1986-2002 by Jonathan Payne.  JOVE is    #
# provided by Jonathan and Jovehacks without charge and without          #
# warranty.  You may copy, modify, and/or distribute JOVE, provided that #
# this notice is included in all the source files and documentation.     #
##########################################################################

# SHELL for this Makefile (csh won't work!)
SHELL = /bin/sh

# JOVEHOME is the directory in which pieces of JOVE are kept.  It is only used
#	in the default definitions of SHAREDIR, LIBDIR, BINDIR, and MANDIR.
# SHAREDIR is for online documentation, and the system-wide jove.rc file.
# LIBDIR is for the PORTSRV and RECOVER programs.
# BINDIR is where to put the executables JOVE and TEACHJOVE.
# XEXT is the extension for executables (empty for UNIX; .exe for CYGWIN32)
# MANDIR is where the manual pages go for JOVE, RECOVER and TEACHJOVE.
# MANEXT is the extension for the man pages, e.g., jove.1 or jove.l or jove.m.
#	Must not be "nr".
#
# If they don't exist, this makefile will try to create the directories
# LIBDIR and SHAREDIR.  All others must already exist.

JOVEHOME = /usr/local
SHAREDIR = $(JOVEHOME)/lib/jove
LIBDIR = $(JOVEHOME)/lib/jove
BINDIR = $(JOVEHOME)/bin
XEXT=
MANDIR = $(JOVEHOME)/man/man$(MANEXT)
MANEXT = 1

# TMPDIR is where the tmp files get stored, usually /tmp, /var/tmp, or
# /usr/tmp.  If you wish to be able to recover buffers after a system
# crash, this needs to be a directory that isn't cleaned out on reboot.
# You would probably want to clean out that directory periodically with
# /etc/cron.
# RECDIR is the directory in which RECOVER looks for JOVE's tempfiles
# (in case the system startup salvages tempfiles by moving them,
# which is probably a good idea).

TMPDIR = /tmp
RECDIR = /var/preserve

# DFLTSHELL is the default shell invoked by JOVE and TEACHJOVE.
DFLTSHELL = /bin/csh

# The install commands of BSD and System V differ in unpleasant ways:
# -c: copy (BSD); -c dir: destination directory (SysV)
# -s: strip (BSD); -s: suppress messages (SysV)
# Also, the destination specification is very different.
# The result is that the System V install command must not be used.
# If you know that /bin/install is the BSD program, you can use it.
# "cp" will work reasonably well, but be aware that any links continue
# referencing the old file with new contents.

INSTALLFLAGS = # -g bin -o root

# to install executable files
XINSTALL=cp
#XINSTALL=/usr/ucb/install $(INSTALLFLAGS) -c -m 755 # -s
#CYGWIN32: XINSTALL=install $(INSTALLFLAGS) -c -m 755

# to install text files
TINSTALL=cp
#TINSTALL=/usr/ucb/install $(INSTALLFLAGS) -c -m 644
#CYGWIN32: TINSTALL=install $(INSTALLFLAGS) -c -m 644

# These should all just be right if the above ones are.
# You will confuse JOVE if you move anything from LIBDIR or SHAREDIR.

JOVE = $(BINDIR)/jove$(XEXT)
TEACHJOVE = $(BINDIR)/teachjove$(XEXT)
RECOVER = $(LIBDIR)/recover$(XEXT)
PORTSRV = $(LIBDIR)/portsrv$(XEXT)
JOVERC = $(SHAREDIR)/jove.rc
TERMSDIR = $(SHAREDIR)
CMDS.DOC = $(SHAREDIR)/cmds.doc
TEACH-JOVE = $(SHAREDIR)/teach-jove
JOVEM = $(MANDIR)/jove.$(MANEXT)
TEACHJOVEM = $(MANDIR)/teachjove.$(MANEXT)
XJOVEM = $(MANDIR)/xjove.$(MANEXT)
JOVETOOLM = $(MANDIR)/jovetool.$(MANEXT)

# SYSDEFS: specify system characteristics.
# The default is -DBSDPOSIX, which describes a number of modern
# systems (but not Solaris!).  If this isn't suitable for your system,
# you will need to change it.  You may need to define a new symbol for
# your OS if we haven't created a suitable one.  See sysdep.h.
#
#	Apple A/UX on macIIs		SYSDEFS=-DA_UX
#	BSD4.2,4.3			SYSDEFS=-DBSD4
#	BSDI, 386BSD, BSD4.4		SYSDEFS=-DBSDPOSIX
#	Consensys V4			SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
#	Cygwin32			see README.c32
#	Compaq Tru64 UNIX V4.0g, 5.1	SYSDEFS=-DSYSVR4
#	DEC OSF R1.3MK			SYSDEFS=-DSYSVR4
#	DEC OSF/1 V1.3			SYSDEFS="-DBSDPOSIX -DNO_TIOCREMOTE -DNO_TIOCSIGNAL"
#	DEC OSF/1 V2.0 and later	SYSDEFS=-DSYSVR4
#	DEC Ultrix 4.2			SYSDEFS=-DBSDPOSIX
#	DEC Ultrix 4.3			SYSDEFS="-DBSDPOSIX -DJVDISABLE=255"
#	Digital UNIX V4.0 and later	SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
#	DG AViiON 5.3R4			SYSDEFS="-DSYSVR4 -DBSD_SIGS"
#	FreeBSD 4.2			SYSDEFS="-DBSDPOSIX -DUSE_OPENPTY -DHAVE_LIBUTIL_H" EXTRALIBS=-lutil
#	HP/UX 8 or 9			SYSDEFS="-DHPUX -Ac"
#	HP/UX 11 (-Ac redundant)	SYSDEFS=-DHPUX
#	IBM AIX 3.2			SYSDEFS=-DAIX3_2
#	IBM AIX 4.2			SYSDEFS="-DAIX4_2" TERMCAPLIB="-lcurses -ls"
#	Irix 3.3-4.0.5			SYSDEFS="-DIRIX -DIRIX4"
#	Irix 5.0 onwards		SYSDEFS="-DIRIX -prototypes"
#	LINUX (older, eg. RedHat 4, 5)	SYSDEFS=-DBSDPOSIX
#	LINUX (with UNIX98 PTYS)	SYSDEFS="-DSYSVR4 -D_XOPEN_SOURCE=500"
#       				some need TERMCAPLIB=-lcurses
#	MIPS RiscOS4.x			SYSDEFS="-systype bsd43 -DBSD4"
#	NetBSD 1.5			SYSDEFS="-DBSDPOSIX -DUSE_OPENPTY" EXTRALIBS=-lutil
#	OpenBSD 2.x			SYSDEFS="-DBSDPOSIX -DUSE_OPENPTY" EXTRALIBS=-lutil
#	SCO Unix			SYSDEFS=-DSCO
#	SunOS3.x			SYSDEFS=-DSUNOS3
#	SunOS4.0*			SYSDEFS=-DSUNOS40
#	SunOS4.1*			SYSDEFS=-DSUNOS41
#	SunOS5.0/Solaris 2.0		SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
#	SunOS5.[123456]/Solaris 2.x	SYSDEFS=-DSYSVR4
#	Sys III, Sys V R 2,3		SYSDEFS=-DSYSV
#	Sys V Release 4.0		SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
#	Sys V Release 4.x		SYSDEFS=-DSYSVR4
#
# Some systems based on System V release 4 have a bug affecting interactive
# processes.  This bug can be worked around by defining GRANTPT_BUG.
# Read the explanation of GRANTPT_BUG in sysdep.doc.
#
# Some of the MIPS based Ultrix (upto 4.2 at least), RiscOS and Irix (up to
# 3.3 at least) also need -DMIPS_CC_BUG.
#
# Some (all?) versions of the HPUX C compiler have a bug in handling forward
# struct tag declarations.  Using the -Ac flag in place of -Ae will avoid
# this problem (and reduce the compiler's error checking, unfortunately).
#
# Add -DUSE_EXIT if you're profiling or using purify (this causes Jove
# to exit using exit(), instead of _exit()).

SYSDEFS = -DBSDPOSIX

# Select optimization level (flags passed to compiling and linking steps).
# On most systems: -g for debugging, -O for optimization.
# On the official Sun ANSI C compiler and the standard System V Release 4
# compiler, adding -Xa -v will increase compiler checking.
# On DEC OSF/1 and Digital UNIX VV4.0, add -std1 to enable ANSI C features
# and perhaps -g3 for more debugging info with optimization.

OPTFLAGS = -O

# For making dependencies under BSD systems
DEPENDFLAG = -M
# or, using the official Sun ANSI C compiler
#	DEPENDFLAG = -xM

# Flags for Library to provide termcap functions.
# Some systems have dropped termcap: use -lcurses (fatter!) or -lncurses
#	Cygwin32: TERMCAPLIB = -L/usr/local/lib -lcurses
#	SysV Rel. 2: TERMCAPLIB = -lcurses
#	SCO UNIX: TERMCAPLIB = -lcurses
#	AIX on the R6000s: TERMCAPLIB = -lcurses -ltermcap -ls

TERMCAPLIB = -ltermcap

# Extra libraries flags needed by oddball systems.
# Modern BSD systems using openpty need its library.
#	4.1BSD:	EXTRALIBS = -ljobs
#	FreeBSD 4.2: EXTRALIBS = -lutil
#	FreeBSD 4.2, NetBSD 1.5, OpenBSD 2.x:  EXTRALIBS = -lutil

EXTRALIBS =

# Flags of linker (LDFLAGS)
# Most systems do not need any flags.
# Known exceptions:
#	SysV Rel. 2: LDFLAGS = -Ml
#	SCO Xenix: LDFLAGS = -Ml -F 3000
#	AIX Unix: LDFLAGS = -bloadmap:$@.map # only if loadmap
#
# To optimize the use of the address spaces, add to the LDFLAGS:
#	PDP-11 with separate I&D: -i
#	PDP-11 without separate I&D: -n

LDFLAGS =

# for SCO Xenix, set
#	MEMFLAGS = -Mle
#	CFLAGS = -LARGE -O -F 3000 -K -Mle  (say -Mle2 for an 80286)

CFLAGS = $(OPTFLAGS) $(SYSDEFS)

# For SYSVR4 (/usr/ucb/cc will NOT work because of setjmp.h):
#	CC = /usr/bin/cc
# To use the SunPro compiler under SunOS 4.n:
#	CC = acc
# To use the official Sun compiler under Solaris 2.n:
#	CC = /opt/SUNWspro/bin/cc
# For DG AViiON, expect compile errors unless you use the GNU C compiler:
#	CC=gcc

# Load invocation of cc.
# to use Purify(TM): LDCC = purify $(CC)

LDCC = $(CC)

# For cross compiling Jove, set CC to the cross compiler, and LOCALCC
# to the local C compiler. LOCALCC will be used for compiling setmaps,
# which is run as part of the compilation to generate the keymaps.
# Set LOCALCFLAGS and LOCALLDFLAGS appropriately too. For Xenix, note
# that LOCALCFLAGS must be set to $(MEMFLAGS)

LOCALCC = $(CC)
LOCALCFLAGS = $(CFLAGS)	# $(MEMFLAGS)
LOCALLDFLAGS = $(LDFLAGS)

# Objects are grouped into overlays for the benefit of (at least) 2.xBSD.

BASESEG = commands.o keys.o argcount.o ask.o buf.o jctype.o delete.o \
	  disp.o insert.o io.o jove.o marks.o misc.o re.o \
	  screen.o termcap.o unix.o util.o vars.o list.o keymaps.o \
	  mouse.o
OVLAY1 = abbrev.o rec.o paragraph.o fmt.o
OVLAY2 = c.o wind.o fp.o move.o
OVLAY3 = extend.o macros.o
OVLAY4 = iproc.o reapp.o
OVLAY5 = proc.o scandir.o term.o case.o

OBJECTS = $(BASESEG) $(OVLAY1) $(OVLAY2) $(OVLAY3) $(OVLAY4) $(OVLAY5)

# These TROFF and TROFFPOST settings work with ditroff.
# For groff:
#	TROFF = groff
#	TROFFPOST =
NROFF = nroff
TROFF = troff -Tpost
TROFFPOST = | /usr/lib/lp/postscript/dpost -

MANUALS = $(JOVEM) $(TEACHJOVEM) $(XJOVEM) $(JOVETOOLM)

C_SRC = commands.c commands.tab abbrev.c argcount.c ask.c buf.c c.c case.c jctype.c \
	delete.c disp.c extend.c fp.c fmt.c insert.c io.c iproc.c \
	jove.c list.c macros.c marks.c misc.c move.c paragraph.c \
	proc.c re.c reapp.c rec.c scandir.c screen.c term.c termcap.c unix.c \
	util.c vars.c vars.tab wind.c msgetch.c mac.c keymaps.c ibmpcdos.c \
	mouse.c win32.c

SOURCES = $(C_SRC) portsrv.c recover.c setmaps.c teachjove.c

HEADERS = abbrev.h argcount.h ask.h buf.h c.h case.h chars.h commands.h \
	jctype.h dataobj.h delete.h disp.h extend.h externs.h \
	fmt.h fp.h insert.h io.h iproc.h jove.h \
	keymaps.h list.h mac.h macros.h marks.h \
	misc.h mouse.h move.h paragraph.h proc.h \
	re.h reapp.h rec.h recover.h resource.h scandir.h screen.h \
	select.h sysdep.h sysprocs.h temp.h term.h ttystate.h \
	tune.h util.h vars.h version.h wind.h

DOCTERMS =	doc/jove.rc.sun doc/keychart.sun \
	doc/jove.rc.sun-cmd doc/keychart.sun-cmd \
	doc/jove.rc.vt100 doc/keychart.vt100 \
	doc/jove.rc.wyse doc/keychart.wyse \
	doc/jove.rc.xterm doc/keychart.xterm \
	doc/jove.rc.z29 doc/keychart.z29 \
	doc/jove.rc.3022 doc/keychart.3022 \
	doc/keychart. \
	doc/XTermresource

DOCS =	doc/README doc/teach-jove doc/jove.qref \
	doc/intro.nr doc/cmds.macros.nr doc/cmds.nr doc/contents.nr \
	doc/jove.nr doc/teachjove.nr doc/xjove.nr doc/jovetool.nr \
	doc/jove.rc doc/example.rc $(DOCTERMS)

MISC =	Makefile Makefile.bcc Makefile.msc Makefile.wat Makefile.zor \
	README README.dos README.mac README.w32 README.c32 \
	sysdep.doc tune.doc style.doc jove.spec

SUPPORT = teachjove.c recover.c setmaps.c portsrv.c keys.txt \
	menumaps.txt mjovers.Hqx jjoveico.uue jjove.rc

BACKUPS = $(HEADERS) $(C_SRC) $(SUPPORT) $(MISC)

# all: default target.
# Builds everything that "install" needs.
all:	jjove$(XEXT) recover$(XEXT) teachjove$(XEXT) portsrv$(XEXT) \
	doc/cmds.doc doc/jove.$(MANEXT) doc/teachjove.$(MANEXT) \
	doc/jovetool.$(MANEXT)

jjove$(XEXT):	$(OBJECTS)
	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o jjove$(XEXT) $(OBJECTS) $(TERMCAPLIB) $(EXTRALIBS)
	@-size jjove$(XEXT)

# For 2.xBSD: link jove as a set of overlays.  Not tested recently.

ovjove:	$(OBJECTS)
	ld $(LDFLAGS) $(OPTFLAGS) -X /lib/crt0.o \
		-Z $(OVLAY1) \
		-Z $(OVLAY2) \
		-Z $(OVLAY3) \
		-Z $(OVLAY4) \
		-Z $(OVLAY5) \
		-Y $(BASESEG) \
		-o jjove$(XEXT)  $(TERMCAPLIB) $(EXTRALIBS) -lc
	@-size jjove$(XEXT)

# portsrv is only needed if IPROCS are implemented using PIPEPROCS
# Making PORTSRVINST null will supress building and installing portsrv.

# PORTSRVINST=$(PORTSRV)
PORTSRVINST=

portsrv$(XEXT):	portsrv.o
	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o portsrv$(XEXT) portsrv.o $(EXTRALIBS)

recover$(XEXT):	recover.o
	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o recover$(XEXT) recover.o $(EXTRALIBS)

teachjove$(XEXT):	teachjove.o
	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o teachjove$(XEXT) teachjove.o $(EXTRALIBS)

## jove 4.16.0.64

=== Makefile ===
--- 
+++ 
@@ -82,7 +82,7 @@
 JOVETOOLM = $(MANDIR)/jovetool.$(MANEXT)
 
 # SYSDEFS: specify system characteristics.
-# The default is -DBSDPOSIX, which describes a number of modern
+# The default is -DBSDPOSIX_STDC, which describes a number of modern
 # systems (but not Solaris!).  If this isn't suitable for your system,
 # you will need to change it.  You may need to define a new symbol for
 # your OS if we haven't created a suitable one.  See sysdep.h.
@@ -104,12 +104,12 @@
 #	HP/UX 8 or 9			SYSDEFS="-DHPUX -Ac"
 #	HP/UX 11 (-Ac redundant)	SYSDEFS=-DHPUX
 #	IBM AIX 3.2			SYSDEFS=-DAIX3_2
-#	IBM AIX 4.2			SYSDEFS="-DAIX4_2" TERMCAPLIB="-lcurses -ls"
+#	IBM AIX 4.2, 5.2		SYSDEFS="-DAIX4_2" TERMCAPLIB="-lcurses -ls"
 #	Irix 3.3-4.0.5			SYSDEFS="-DIRIX -DIRIX4"
 #	Irix 5.0 onwards		SYSDEFS="-DIRIX -prototypes"
 #	LINUX (older, eg. RedHat 4, 5)	SYSDEFS=-DBSDPOSIX
 #	LINUX (with UNIX98 PTYS)	SYSDEFS="-DSYSVR4 -D_XOPEN_SOURCE=500"
-#       				some need TERMCAPLIB=-lcurses
+#       				some need TERMCAPLIB=-lcurses or TERMCAPLIB=-lncurses
 #	MIPS RiscOS4.x			SYSDEFS="-systype bsd43 -DBSD4"
 #	NetBSD 1.5			SYSDEFS="-DBSDPOSIX -DUSE_OPENPTY" EXTRALIBS=-lutil
 #	OpenBSD 2.x			SYSDEFS="-DBSDPOSIX -DUSE_OPENPTY" EXTRALIBS=-lutil
@@ -117,9 +117,9 @@
 #	SunOS3.x			SYSDEFS=-DSUNOS3
 #	SunOS4.0*			SYSDEFS=-DSUNOS40
 #	SunOS4.1*			SYSDEFS=-DSUNOS41
-#	SunOS5.0/Solaris 2.0		SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
-#	SunOS5.[123456]/Solaris 2.x	SYSDEFS=-DSYSVR4
-#	Sys III, Sys V R 2,3		SYSDEFS=-DSYSV
+#	SunOS5.0 (Solaris 2.0)		SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
+#	SunOS5.[12345678] (Solaris)	SYSDEFS=-DSYSVR4
+#	Sys III, Sys V R 2,3		SYSDEFS=-DSYSV PORTSRVINST='$(PORTSRV)'
 #	Sys V Release 4.0		SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
 #	Sys V Release 4.x		SYSDEFS=-DSYSVR4
 #
@@ -130,14 +130,14 @@
 # Some of the MIPS based Ultrix (upto 4.2 at least), RiscOS and Irix (up to
 # 3.3 at least) also need -DMIPS_CC_BUG.
 #
-# Some (all?) versions of the HPUX C compiler have a bug in handling forward
+# Some old versions of the HPUX C compiler have a bug in handling forward
 # struct tag declarations.  Using the -Ac flag in place of -Ae will avoid
 # this problem (and reduce the compiler's error checking, unfortunately).
 #
 # Add -DUSE_EXIT if you're profiling or using purify (this causes Jove
 # to exit using exit(), instead of _exit()).
 
-SYSDEFS = -DBSDPOSIX
+SYSDEFS = -DBSDPOSIX_STDC
 
 # Select optimization level (flags passed to compiling and linking steps).
 # On most systems: -g for debugging, -O for optimization.
@@ -303,7 +303,8 @@
 	@-size jjove$(XEXT)
 
 # portsrv is only needed if IPROCS are implemented using PIPEPROCS
-# Making PORTSRVINST null will supress building and installing portsrv.
+# (modern systems use PTYPROCS).
+# Making PORTSRVINST null supresses building and installing portsrv.
 
 # PORTSRVINST=$(PORTSRV)
 PORTSRVINST=
@@ -315,5 +316,3 @@
 	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o recover$(XEXT) recover.o $(EXTRALIBS)
 
 teachjove$(XEXT):	teachjove.o
-	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o teachjove$(XEXT) teachjove.o $(EXTRALIBS)
-

## jove 4.16.0.65

=== Makefile ===
--- 
+++ 
@@ -127,7 +127,7 @@
 # processes.  This bug can be worked around by defining GRANTPT_BUG.
 # Read the explanation of GRANTPT_BUG in sysdep.doc.
 #
-# Some of the MIPS based Ultrix (upto 4.2 at least), RiscOS and Irix (up to
+# Some of the MIPS based Ultrix (up to 4.2 at least), RiscOS and Irix (up to
 # 3.3 at least) also need -DMIPS_CC_BUG.
 #
 # Some old versions of the HPUX C compiler have a bug in handling forward

## jove 4.17.2.7

=== Makefile ===
##########################################################################
# This program is Copyright (C) 1986-2002 by Jonathan Payne.  JOVE is    #
# provided by Jonathan and Jovehacks without charge and without          #
# warranty.  You may copy, modify, and/or distribute JOVE, provided that #
# this notice is included in all the source files and documentation.     #
##########################################################################

# SHELL for this Makefile (csh won't work!)
SHELL = /bin/sh

# If the system has no cmp, not a big deal, minor optimization to prevent
# a few needless rebuilds
CMP = cmp

# JOVEHOME is the directory in which pieces of JOVE are kept.  It is only used
#	in the default definitions of JSHAREDIR, JLIBDIR, JBINDIR, and JMANDIR.
# JSHAREDIR is for online documentation, and the distributed standard system-wide
# jove.rc file with some common
# JLIBDIR is for the PORTSRV and RECOVER programs.
# JBINDIR is where to put the executables JOVE and TEACHJOVE.
# XEXT is the extension for executables (empty for UNIX; .exe for CYGWIN)
# JMANDIR is where the manual pages go for JOVE, RECOVER and TEACHJOVE.
# MANEXT is the extension for the man pages, e.g., jove.1 or jove.l or jove.m.
#	Must not be "nr".
#
# If they don't exist, this makefile will try to create all *DIR directories
# (prefixed with $DESTDIR, as most packaging systems desire)
# All others must already exist.

JOVEHOME = /usr/local
JSHAREDIR = $(JOVEHOME)/share/jove
DSHAREDIR = $(DESTDIR)$(JSHAREDIR)
JLIBDIR = $(JOVEHOME)/lib/jove
DLIBDIR = $(DESTDIR)$(JLIBDIR)
JBINDIR = $(JOVEHOME)/bin
DBINDIR = $(DESTDIR)$(JBINDIR)
XEXT=
JMANDIR = $(JOVEHOME)/man/man$(MANEXT)
DMANDIR = $(DESTDIR)$(JMANDIR)
MANEXT = 1

# Install permission for SHAREDIR, LIBDIR, BINDIR
DPERM = 755
XPERM = 755

# JTMPDIR is where the tmp files get stored, usually /tmp, /var/tmp, or
# /usr/tmp.  If you wish to be able to recover buffers after a system
# crash, this needs to be a directory that isn't cleaned out on reboot.
# You would probably want to clean out that directory periodically with
# /etc/cron.
# JRECDIR is the directory in which RECOVER looks for JOVE's tempfiles
# (in case the system startup salvages tempfiles by moving them,
# which is probably a good idea).

JETCDIR = /etc/jove
DETCDIR = $(DESTDIR)$(JETCDIR)
JTMPDIR = /var/tmp
JRECDIR = /var/lib/jove/preserve
DRECDIR = $(DESTDIR)$(JRECDIR)

# Install permission for DRECDIR
RECPERM = 1777

# place to copy source tarball for rpmbuild
RPMHOME = $(HOME)/rpmbuild/SOURCES

# DFLTSHELL is the default shell invoked by JOVE and TEACHJOVE.
DFLTSHELL = /bin/sh

# The install commands of BSD and System V differ in unpleasant ways:
# -c: copy (BSD); -c dir: destination directory (SysV)
# -s: strip (BSD); -s: suppress messages (SysV)
# Also, the destination specification is very different.
# The result is that the System V install command must not be used.
# If you know that /bin/install is the BSD program, you can use it.
# "cp" will work reasonably well, but be aware that any links continue
# referencing the old file with new contents.

INSTALLFLAGS = # -g bin -o root

# XINSTALL to install executable files, prefer install since it is independent
# of user umask
# Linux/modern BSD/CYGWIN
XINSTALL=install $(INSTALLFLAGS) -m 755
TINSTALL=install $(INSTALLFLAGS) -m 444
# newer Solaris 2.x aka SunOS 5.x
#XINSTALL=/usr/gnu/bin/install $(INSTALLFLAGS) -m 755
#TINSTALL=/usr/gnu/bin/install $(INSTALLFLAGS) -m 444
# SysV-derivatives, or non-BSD Unix (V7, etc)
#XINSTALL=cp
#TINSTALL=cp
# 4BSD, SunOS
#XINSTALL=/usr/ucb/install $(INSTALLFLAGS) -c -m 755 # -s
#TINSTALL=/usr/ucb/install $(INSTALLFLAGS) -c -m 644

# These should all just be right if the above ones are.
# You will confuse JOVE if you move anything from LIBDIR or SHAREDIR.

JOVE = $(DBINDIR)/jove$(XEXT)
TEACHJOVE = $(DBINDIR)/teachjove$(XEXT)
RECOVER = $(DLIBDIR)/recover$(XEXT)
PORTSRV = $(DLIBDIR)/portsrv$(XEXT)
JOVERC = $(DSHAREDIR)/jove.rc
TERMSDIR = $(DSHAREDIR)
CMDSDOC = $(DSHAREDIR)/cmds.doc
TEACHJOVEDOC = $(DSHAREDIR)/teach-jove
JOVEM = $(DMANDIR)/jove.$(MANEXT)
TEACHJOVEM = $(DMANDIR)/teachjove.$(MANEXT)
XJOVEM = $(DMANDIR)/xjove.$(MANEXT)
JOVETOOLM = $(DMANDIR)/jovetool.$(MANEXT)

# SYSDEFS: specify system characteristics.
# The default is the system uname, which describes a number of modern
# systems (but not Solaris or Cygwin).  If this isn't suitable for your system,
# you will need to change it.  You may need to define a new symbol for
# your OS if we haven't created a suitable one.  See sysdep.h.
# The OS and version recently tested with a specific SYSDEFS are below.
# For most systems below, if they have select() (i.e. any *n*x variant
# since the late 1980s), you can add -DJTC to the SYSDEFS and TERMCAPLIB=
# to skip the curses/termcap dependency and only support ansi/vt[12345]xx/xterm
# terminals (i.e any practical terminals since the late 1980s!)
#
#	Cygwin 3.1.2			SYSDEFS=-DCYGWIN_JTC TERMCAPLIB= # builtin vt100/xterm/rxvt etc support, no need for curses dependency
#	Cygwin 3.1.2 (curses)		SYSDEFS=-DCYGWIN TERMCAPLIB=-lncursesw
#	Darwin aka MacOS X		SYSDEFS=-DDarwin
#	FreeBSD 12.1			SYSDEFS=-DFreeBSD EXTRALIBS=-lutil
#	Linux (modern, UNIX98 PTYS)	SYSDEFS=-DLinux
#	Linux (modern, UNIX98 PTYS)	SYSDEFS=-DLinux TERMCAPLIB=-lncursesw
#	Linux (modern, glibc pty.h)	SYSDEFS=-DGLIBCPTY EXTRALIBS=-lutil
#	MacOS X aka Darwin 		SYSDEFS=-DDarwin
#	NetBSD 8.1			SYSDEFS=-DNetBSD EXTRALIBS=-lutil
#	OpenBSD 6.6			SYSDEFS=-DOpenBSD EXTRALIBS=-lutil
#	SunOS5.1 onwards (Solaris/OpenIndiana/Illumos/Joyent)	SYSDEFS=-DSYSVR4
#
# The following used to work circa Jove 4.16 in the 1990s and have probably not
# been tested in the 21st century, they may still work but some of this
# ancient support may be deleted from Jove at some point, we welcome
# any recent success stories from jove builders/packagers to refresh
# or maintain these. Pretty please! Almost all these need TERMCAPLIB=-ltermcap
# 
#	Apple A/UX on macIIs		SYSDEFS=-DA_UX
#	BSD4.2,4.3			SYSDEFS=-DBSD4
#	BSDI, 386BSD, BSD4.4		SYSDEFS=-DBSDPOSIX
#	Consensys V4			SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
#	Compaq Tru64 UNIX V4.0g, 5.1	SYSDEFS=-DSYSVR4
#	DEC OSF R1.3MK			SYSDEFS=-DSYSVR4
#	DEC OSF/1 V1.3			SYSDEFS="-DBSDPOSIX -DNO_TIOCREMOTE -DNO_TIOCSIGNAL"
#	DEC OSF/1 V2.0 and later	SYSDEFS=-DSYSVR4
#	DEC Ultrix 4.2			SYSDEFS=-DBSDPOSIX
#	DEC Ultrix 4.3			SYSDEFS="-DBSDPOSIX -DJVDISABLE=255"
#	Digital UNIX V4.0 and later	SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
#	DG AViiON 5.3R4			SYSDEFS="-DSYSVR4 -DBSD_SIGS"
#	HP/UX 8 or 9			SYSDEFS="-DHPUX -Ac"
#	HP/UX 11 (-Ac redundant)	SYSDEFS=-DHPUX
#	IBM AIX 3.2			SYSDEFS=-DAIX3_2
#	IBM AIX 4.2, 5.2		SYSDEFS="-DAIX4_2" TERMCAPLIB="-lcurses -ls"
#	Irix 3.3-4.0.5			SYSDEFS="-DIRIX -DIRIX4"
#	Irix 5.0 onwards		SYSDEFS="-DIRIX -prototypes"
#	Linux (older, eg. RedHat 4, 5)	SYSDEFS=-DBSDPOSIX
#	MIPS RiscOS4.x			SYSDEFS="-systype bsd43 -DBSD4"
#	SCO Unix			SYSDEFS=-DSCO
#	SunOS3.x			SYSDEFS=-DSUNOS3
#	SunOS4.0*			SYSDEFS=-DSUNOS40
#	SunOS4.1*			SYSDEFS=-DSUNOS41
#	SunOS5.0 (Solaris 2.0)		SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
#	Sys III, Sys V R 2,3		SYSDEFS=-DSYSV PORTSRVINST='$(PORTSRV)'
#	Sys V Release 4.0		SYSDEFS="-DSYSVR4 -DGRANTPT_BUG"
#	Sys V Release 4.x		SYSDEFS=-DSYSVR4
#
# Some systems based on System V release 4 have a bug affecting interactive
# processes.  This bug can be worked around by defining GRANTPT_BUG.
# Read the explanation of GRANTPT_BUG in sysdep.doc.
#
# Some of the MIPS based Ultrix (up to 4.2 at least), RiscOS and Irix (up to
# 3.3 at least) also need -DMIPS_CC_BUG.
#
# Some old versions of the HPUX C compiler have a bug in handling forward
# struct tag declarations.  Using the -Ac flag in place of -Ae will avoid
# this problem (and reduce the compiler's error checking, unfortunately).
#
# Add -DUSE_EXIT if you're profiling or using purify (this causes Jove
# to exit using exit(), instead of _exit()).
# Add -DDEBUGCRASH if you want to not trap on SEGV, BUS, etc, useful
# running jove under a debugger (gdb, dbx)

SYSDEFS = -DLinux

# Select optimization level (flags passed to compiling and linking steps).
# On most systems: -g for debugging, -O for optimization.
# -Os produces smaller binaries with gcc, should not hurt performance
# On the official Sun ANSI C compiler and the standard System V Release 4
# compiler, adding -Xa -v will increase compiler checking.
# On DEC OSF/1 and Digital UNIX VV4.0, add -std1 to enable ANSI C features
# and perhaps -g3 for more debugging info with optimization.

OPTFLAGS = -O # -g -Wall -pedantic

# For making dependencies under BSD systems
DEPENDFLAG = -M
# or, using the official Sun ANSI C compiler
#	DEPENDFLAG = -xM

# Flags for Library to provide termcap functions.
# Most modern open-source systems have dropped termcap, or ship it
# as part of the ncurses or tinfo packages.
# For systems without dynamic libraries, termcap or terminfo are smaller,
# and preferable to the bulkier curses library.
#	BSD4.x, BSDI, SunOS4: TERMCAPLIB=-ltermcap
#	Old Cygwin32: TERMCAPLIB=-L/usr/local/lib -lcurses
#	SysV Rel. 2: TERMCAPLIB=-lcurses
#	SCO UNIX: TERMCAPLIB=-lcurses
#	AIX on the R6000s: TERMCAPLIB=-lcurses -ltermcap -ls
#	OpenSuSE: TERMCAPLIB=-lncurses
# Jove comes with a simplified termcap substitute that only supports
# ANSI X.3/VT[1-5]xx or compatible terminal emulators like xterm, rxvt, etc,
# which is almost certainly all that is necessary on modern machines.
# To use it, define -DJTC and leave TERMCAPLIB unset

TERMCAPLIB = -lncurses

# Extra libraries flags needed by various systems.
# Some BSD systems using openpty need its library.
#	4.1BSD:	EXTRALIBS = -ljobs
#	FreeBSD 4.2: EXTRALIBS = -lutil
#	FreeBSD 4.2, NetBSD 1.5, OpenBSD 2.x:  EXTRALIBS = -lutil

EXTRALIBS =

# Flags of linker (LDFLAGS)
# Most systems do not need any flags.
# Known exceptions:
#	SysV Rel. 2: LDFLAGS = -Ml
#	SCO Xenix: LDFLAGS = -Ml -F 3000
#	AIX Unix: LDFLAGS = -bloadmap:$@.map # only if loadmap
#
# To optimize the use of the address spaces, add to the LDFLAGS:
#	PDP-11 with separate I&D: -i
#	PDP-11 without separate I&D: -n

LDFLAGS =

# for SCO Xenix, set
#	MEMFLAGS = -Mle
#	CFLAGS = -LARGE -O -F 3000 -K -Mle  (say -Mle2 for an 80286)

CFLAGS = $(OPTFLAGS) $(SYSDEFS)

# For SYSVR4 (/usr/ucb/cc will NOT work because of setjmp.h):
#	CC = /usr/bin/cc
# To use the SunPro compiler under SunOS 4.n:
#	CC = acc
# To use the official Sun compiler under Solaris 2.n:
#	CC = /opt/SUNWspro/bin/cc
# For DG AViiON, expect compile errors unless you use the GNU C compiler:
#	CC=gcc

# Load invocation of cc.
# to use Purify(TM): LDCC = purify $(CC)

LDCC = $(CC)

# For cross compiling Jove, set CC to the cross compiler, and LOCALCC
# to the local C compiler. LOCALCC will be used for compiling setmaps,
# which is run as part of the compilation to generate the keymaps.
# Set LOCALCFLAGS and LOCALLDFLAGS appropriately too. For Xenix, note
# that LOCALCFLAGS must be set to $(MEMFLAGS)

LOCALCC = $(CC)
LOCALCFLAGS = $(CFLAGS)	# $(MEMFLAGS)
LOCALLDFLAGS = $(LDFLAGS)
LOCALEXTRALIBS = $(EXTRALIBS)

# Objects are grouped into overlays for the benefit of (at least) 2.xBSD.

BASESEG = commands.o keys.o argcount.o ask.o buf.o jctype.o delete.o \
	  disp.o insert.o io.o jove.o marks.o misc.o re.o \
	  screen.o termcap.o unix.o util.o vars.o list.o keymaps.o \
	  mouse.o jtc.o
OVLAY1 = abbrev.o rec.o para.o fmt.o
OVLAY2 = c.o wind.o fp.o move.o
OVLAY3 = extend.o macros.o
OVLAY4 = iproc.o reapp.o
OVLAY5 = proc.o scandir.o term.o case.o

OBJECTS = $(BASESEG) $(OVLAY1) $(OVLAY2) $(OVLAY3) $(OVLAY4) $(OVLAY5)

# These NROFF, TROFF and TROFFPOST settings work with groff.
# Classic Unix and derivatives used to have ditroff for which, use:
#	NROFF = nroff
#	TROFF = troff
#	TROFFPOST = | /usr/lib/lp/postscript/dpost -
NROFF = nroff -Tascii
TROFF = groff
TROFFPOST = 

MANUALS = $(JOVEM) $(TEACHJOVEM)

C_SRC = commands.c commands.tab abbrev.c argcount.c ask.c buf.c c.c case.c jctype.c \
	delete.c disp.c extend.c fp.c fmt.c insert.c io.c iproc.c \

=== debian/changelog ===
jove (4.17.2.7-1) unstable; urgency=low

  * New upstream release
  * Refresh Debian specific jove.rc
  * Add ctags or emacs-bin-common to Suggest
  * change Suggest on spell to aspell

 -- Cord Beermann <cord@debian.org>  Wed, 26 Feb 2020 19:07:26 +0100

jove (4.17.2.0-2) unstable; urgency=low

  * Fixed Regression
    + Let dh_auto_build pass cross compilers to make.
  * Updated Translations
    + eu by Iñaki Larrañaga Murgoitio <dooteo@zundan.com>
    + pt by Miguel Figueiredo <elmig@debianpt.org> (closes: #951358)

 -- Cord Beermann <cord@debian.org>  Sat, 15 Feb 2020 13:40:22 +0100

jove (4.17.2.0-1) unstable; urgency=low

  * New upstream release
    + move shared-files to /usr/share
    + adopted most of the patches from previous package
  * Rebuild Package from scratch.
    + From 1.0 to 3.0 (quilt)
    + Pulled all not applied patches and install modifications from debian/*
  * Installed Manual, Quickreference and Commands to /usr/share/doc/jove
  * Removed init.d-recover-Job.
      Script placed in doc-dir, added a NEWS about it.
      jove -r still does things.
  * Dropped Function-keys from Beginners Menu
    (closes: #172206, #322980, #478561, #588002)
  * Bumped Debian Policy-Version to 4.5.0
    + added Rules-Requires-Root: no
  * Updated Translations
    + de by Helge Kreutzmann <debian@helgefjell.de> (closes: #950469, #950752)
    + es by Jonatan Porras <jonatanpc8@gmail.com>
    + ru by Yuri Kozlov <yuray@komyakino.ru> (closes: #950668)
    + sv by Sebastian Rasmussen <sebras@gmail.com>
    + eu by Iñaki Larrañaga Murgoitio <dooteo@zundan.com>
    + fi by Sami Kallio <phinaliumz@gmail.com>
    + it by Beatrice Torracca <beatricet@libero.it> (closes: #951145)
    + nl by Frans Spiesschaert <Frans.Spiesschaert@yucom.be> (closes: #951328)
    + fr by Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> (closes: #951342)

 -- Cord Beermann <cord@debian.org>  Fri, 14 Feb 2020 19:29:24 +0100

jove (4.16.0.73-5) unstable; urgency=low

  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make.
    thanks Helmut Grohne <helmut@subdivi.de> (Closes: #883116)
  * Bump Policy-Version to 4.1.1 (no change)

 -- Cord Beermann <cord@debian.org>  Fri, 01 Dec 2017 18:13:04 +0100

jove (4.16.0.73-4) unstable; urgency=low

  * force nroff to ascii to work towards reproducible builds.
    (choosing ascii as this program itself doesn't support utf-8)
  * rework debian/copyright
  * switch to Debhelper 9
  * add 'set -e' to maintainer scripts.
  * ignore homepage-field. we don't have one.

 -- Cord Beermann <cord@debian.org>  Thu, 20 Aug 2015 11:14:38 +0200

jove (4.16.0.73-3) unstable; urgency=low

  * The Debconf15 release
  * bumped Policy-Version to 3.9.5 (no change)
  * configured to allow a maximum line length of 16k (instead of 4096)

 -- Cord Beermann <cord@debian.org>  Tue, 11 Aug 2015 21:54:46 +0200

jove (4.16.0.73-2) unstable; urgency=low

  * added it.po (closes: #729795)
  * added lsb sourcisng to init.d to make lintian happy
  * lowered MTA recommends to Suggest
  * bumped Policy-Version to 3.9.5 (no change)

 -- Cord Beermann <cord@debian.org>  Fri, 22 Nov 2013 22:06:08 +0100

jove (4.16.0.73-1) unstable; urgency=low

  * New upstream release (Upstream accepted our changes)
  * acknowledge NMUs (Closes: #596569, #478558, #583662)
  * added hardening
  * added empty status init.d
  * cleaned watch-file
  * add recommended build targets
  * bumped Policy-Version to 3.9.3 (no change)

 -- Cord Beermann <cord@debian.org>  Thu, 21 Jun 2012 21:33:34 +0200

jove (4.16.0.72-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop xjove binary removal, xview is being removed from the archive
    (Closes: #596569, #478558)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 24 May 2011 23:07:41 +0200

jove (4.16.0.72-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #583662

 -- Christian Perrier <bubulle@debian.org>  Thu, 07 Apr 2011 08:30:00 +0200

jove (4.16.0.72-2) unstable; urgency=low

  * Rebuild with reworked Architectures.
    + Modified debian/rules so it simply looks for xviewg to
    + Now use a whitelist for Architectures in debian/control (Please file a
      bug if your architecture has xview so xjove can be build)

 -- Cord Beermann <cord@debian.org>  Tue, 25 May 2010 15:48:36 +0200

jove (4.16.0.72-1) unstable; urgency=low

  * New upstream release
    + fixes a bug that shows up on 64-bit Ubuntu 10.4
  * Make Lintian Happy
    + Bumped Policy-version
    + Depends on dh 7
    + Adding Source-Format
  * Dropped linking against libolgx (not used by xjove)
  * Fixed a typo in the manpage
  * Acknowledge the NMUs

 -- Cord Beermann <cord@debian.org>  Tue, 25 May 2010 08:04:56 +0200

jove (4.16.0.70-3.2) unstable; urgency=low

  * Non-maintainer upload with maintainer approval to fix release
    goal.
  * Correct init.d script dependencies and move from rcS.d/ to
    runlevels 2-5 (Closes: 548312).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 18 Mar 2010 19:07:01 +0100

jove (4.16.0.70-3.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Dutch. Closes: #418402
    - Brazilian Portuguese. Closes: #447798
    - Spanish. Closes: #465159
    - Finnish. Closes: #476318
    - Galician. Closes: #478059
    - Vietnamese. Closes: #478148
    - Basque. Closes: #479082
  * Use "linux-any" in the architectures list instead of a long pile of
    arches while we really want to exclude non Linux arches
    Closes: #470034
  * Do not uncoditionnally strip binaries. Closes: #437241
  * [Lintian] Remove generic sentences from README.Debian
  * [Lintian] Correct menu section to Applications/Editors
  * [Lintian] Set debhelper compatibility with debian/compat

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Apr 2008 08:23:23 +0200

jove (4.16.0.70-3) unstable; urgency=medium

  * Updated ja.po (closes: #402611)


=== debian/control ===
Source: jove
Section: editors
Priority: optional
Maintainer: Cord Beermann <cord@debian.org>
Build-Depends: debhelper-compat (= 12), po-debconf, libncurses-dev, groff
Standards-Version: 4.5.0
Homepage: https://github.com/jonmacs/jove
Rules-Requires-Root: no

Package: jove
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: editor
Suggests: aspell, ctags | emacs-bin-common
Description: Jonathan's Own Version of Emacs - a compact, powerful editor
 Jove is a compact, powerful Emacs-style text-editor. It provides the common
 emacs keyboard bindings, together with a reasonable assortment of the most
 popular advanced features (e.g. interactive shell windows, compile-it,
 language specific modes) while weighing in with CPU, memory, and disk
 requirements comparable to vi(1).

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7)
# (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk
CC_FOR_BUILD ?= cc

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		SYSDEFS="-DXLINUX -DJLGBUFSIZ=14" \
		OPTFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		JOVEHOME=/usr \
		JMANDIR=/usr/share/man/man1 \
		LOCALCC=$(CC_FOR_BUILD)

override_dh_auto_install:
	dh_auto_install -- JOVEHOME=/usr JMANDIR=/usr/share/man/man1
	cp debian/jem.rc debian/jem1.txt debian/jem1.hlp debian/jove/usr/share/jove
	cp debian/jove.rc debian/jove/etc/jove/jove.rc

override_dh_clean:
	dh_clean
	debconf-updatepo

## jove 4.17.3.6

=== debian/changelog ===
jove (4.17.3.6-2) unstable; urgency=medium

  * Bump Policy. no changes.
  * Convert po-Files to utf-8
  * Minor changes to make Lintian Happy.

 -- Cord Beermann <cord@debian.org>  Sat, 16 Jan 2021 12:07:43 +0100

jove (4.17.3.6-1) unstable; urgency=medium

  * New upstream release

 -- Cord Beermann <cord@debian.org>  Sun, 05 Apr 2020 11:00:17 +0200

jove (4.17.3.5-1) unstable; urgency=medium

  * New upstream release
    + LG_JBUFSIZ default is now 15, 32k chars per line.
      Dropping our own modification to 14 (16k chars)

 -- Cord Beermann <cord@debian.org>  Thu, 19 Mar 2020 21:54:13 +0100

jove (4.17.3.2-1) unstable; urgency=medium

  * New upstream release
    + Documentation enhanced

 -- Cord Beermann <cord@debian.org>  Sat, 14 Mar 2020 11:05:48 +0100

jove (4.17.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Cord Beermann <cord@debian.org>  Sun, 08 Mar 2020 12:21:12 +0100

jove (4.17.2.9-1) unstable; urgency=medium

  * New upstream release
    + JLGBUFSIZ is now LG_JBUFSIZ

 -- Cord Beermann <cord@debian.org>  Wed, 04 Mar 2020 18:33:08 +0100

jove (4.17.2.8-1) unstable; urgency=low

  * New upstream release

 -- Cord Beermann <cord@debian.org>  Tue, 03 Mar 2020 21:19:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: editors
 Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
-Build-Depends: debhelper-compat (= 12), po-debconf, libncurses-dev, groff
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), po-debconf, libncurses-dev, groff
+Standards-Version: 4.5.1
 Homepage: https://github.com/jonmacs/jove
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 override_dh_auto_build:
 	dh_auto_build -- \
-		SYSDEFS="-DXLINUX -DJLGBUFSIZ=14" \
+		SYSDEFS="-DXLINUX" \
 		OPTFLAGS="$(CFLAGS) $(CPPFLAGS)" \
 		LDFLAGS="$(LDFLAGS)" \
 		JOVEHOME=/usr \

## jove 4.17.4.0

=== debian/changelog ===
jove (4.17.4.0-1) unstable; urgency=medium

  * New upstream release.
  * added pkg-config as Build Dependency for modified building.
  * Bump Standard to 4.6.0, no changes
  * Fixed Lintian Overrides

 -- Cord Beermann <cord@debian.org>  Sun, 29 May 2022 12:14:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: editors
 Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
-Build-Depends: debhelper-compat (= 13), po-debconf, libncurses-dev, groff
-Standards-Version: 4.5.1
+Build-Depends: pkg-config, debhelper-compat (= 13), po-debconf, libncurses-dev, groff
+Standards-Version: 4.6.1
 Homepage: https://github.com/jonmacs/jove
 Rules-Requires-Root: no
